program main
  use sep
  implicit none

  integer :: nx, ny, ix1, ix2, nw
  real    :: dx, dy, ox, oy
  complex, dimension(:,:,:), allocatable :: data
  call initpar()

  call from_history("n1", nx); call from_history("d1", dx); call from_history("o1", ox)
  call from_history("n2", ny); call from_history("d2", dy); call from_history("o2", oy)
  call from_history("n3", nw)
  allocate(data(nx,ny,nw))

  call sep_read(data)

  ix1 = 1.5 + (20000-ox)/dx
  ix2 = 1.5 + (30000-ox)/dx

  data(ix1:ix2,1,:) = 0.

  call sep_write(data)

end program
